%Forward lifting biorthogonal wavelet  transform
function y=BW_anal(x, Par, DeTr,pol_dis_qint)
% x--  input row signal or an array of row signals of size [ve,2^J](transform in horizontal direction)
% DeTr-- number of decomp. levels
 %Par--spline order
% pol_dis_qint=1--polynom. interp. spline; =2--discr. interp. spline; 
%if pol_dis_qint=3 and Par=3 then quadratic quasi-interp. spline 
%if pol_dis_qint=3 and Par=33 --extended quadratic quasiinterp. spline
 y=[];%zeros(size(x));
 
q=sqrt(2);

[~,lx]=size(x); J=log2(lx);
 
 fxe=fft(x,[],2);
for j=1:DeTr
ii=1:2^(J-j+1 );
 
 [fxe,fxo]=down_lif(fxe,Par, pol_dis_qint);
   fxe=fxe*q;fxo=fxo/q;

yo=real(ifft(fxo,[],2));
y=[yo y];
  end
   
   ye=real(ifft(fxe,[],2));
 y=[ye y];
end
 
 
% Copyright (c) 2013. Valery A. Zheludev